# PluginDependencySpec

API Documentation: | `PluginDependencySpec`

A mutable specification of a dependency on a plugin.

Can be used to specify the version of the plugin to use.

See `PluginDependenciesSpec` for more information about declaring plugin dependencies.

### Properties

No properties

### Methods

Method | Description
`version(version)` | Specify the version of the plugin to depend on.

### Script blocks

No script blocks

### Method details

#### `PluginDependencySpec` `version`(`String` version)

Specify the version of the plugin to depend on.

    plugins {
        id "org.company.myplugin" version "1.0"
    }

By default, dependencies have no (i.e. `null`) version.

Core plugins must not include a version number specification. Community plugins must include a version number specification.